Macro salvataggio pdf 3d

Professione: progettista stampi
Software: solidworks
Regione: veneto
#1
salve a tutti,
mi capita spessissimo di dover salvare un documento SW in formato pdf 3d; qualcuno sa come sviluppare una macro per velocizzare il tutto
? Magari fare in modo che, premendo un pulsante, mi si salvi automaticamente sul desktop il pdf3d?

grazie per la cortese attenzione
buon proseguimento a tutti
 

Max-C

Utente Standard
Professione: Mechanical designer
Software: Siemens NX - Solidworks - Inventor - Autocad
Regione: Piemonte-Provincia TO
#2
salve a tutti,
mi capita spessissimo di dover salvare un documento SW in formato pdf 3d; qualcuno sa come sviluppare una macro per velocizzare il tutto
? Magari fare in modo che, premendo un pulsante, mi si salvi automaticamente sul desktop il pdf3d?

grazie per la cortese attenzione
buon proseguimento a tutti
Ciao,
puoi fare salva con nome->pdf-> salva con nome e checka "salva come 3D pdf"
 

fbmfbm

Utente poco attivo
Professione: artigiano
Software: xp
Regione: sicilia
#3
Salve a tutti ,sono nuovo mi chiamo Emanuele o un problema praticamente io o dei file in bitmap e quando vado ad inserirli nel programma di lavorazione per fare la scultura la z e poca. non c'e' qualche programma per modificare la z....
 

fbmfbm

Utente poco attivo
Professione: artigiano
Software: xp
Regione: sicilia
#4
ma non me lo fa salvare in pdf solo in cst... ma quello che serve a me e farlo diventare campionamento laser
 
Professione: progettista stampi
Software: solidworks
Regione: veneto
#5
ciao Max-C
sto già facendo quello che mi consigli, il mio problema è che, finito un progetto devo esportare tutti i file (assiemi e parti) in pdf3d, step, x_t e iges; capirai che, quando si parla di una decina (o centinaia) di parti, la cosa diventa molto laboriosa.
per gli altri formati ho una macro che automaticamente mi salva il file nei 3 formati, mantenendo il nomefile, sul desktop; solo che non riesco a farlo con il pdf 3d, con il mio metodo mi salva solo un pdf 2d della vista attuale.
sai aiutarmi?
 
Professione: progettista stampi
Software: solidworks
Regione: veneto
#6
x fbmfbm: scusami ma non capisco cosa ti serve...
in ogni caso, credo che ti convenga creare una nuova discussione ad hoc per il tuo problema, altrimenti inserendola in questa discussione, probabilmente, non tutti vedono la tua richiesta.
ciao e buona fortuna
 

Max-C

Utente Standard
Professione: Mechanical designer
Software: Siemens NX - Solidworks - Inventor - Autocad
Regione: Piemonte-Provincia TO
#7
ciao Max-C
sto già facendo quello che mi consigli, il mio problema è che, finito un progetto devo esportare tutti i file (assiemi e parti) in pdf3d, step, x_t e iges; capirai che, quando si parla di una decina (o centinaia) di parti, la cosa diventa molto laboriosa.
per gli altri formati ho una macro che automaticamente mi salva il file nei 3 formati, mantenendo il nomefile, sul desktop; solo che non riesco a farlo con il pdf 3d, con il mio metodo mi salva solo un pdf 2d della vista attuale.
sai aiutarmi?
usa lo scheduler... Puoi programmare tutto con lui...
 

teseo

Utente Standard
Professione: Cantinaro
Software: solidworks2019 sp0.1, autocad2017, pochino solidedge st7, draftsight
Regione: Lombardia
#8
ciao a tutti Scusate se riapro questa discussione...
io uso una macro per fare i salvataggi nei vari formati.
Mi servirebbe quella per i pdf 3d.
Non so come fare visto che il file pdf me lo salva solo come pdf normale; qualcuno sa come fare grazie ciao
allego macro
 

Allegati

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
#9
ciao a tutti Scusate se riapro questa discussione...
io uso una macro per fare i salvataggi nei vari formati.
Mi servirebbe quella per i pdf 3d.
Non so come fare visto che il file pdf me lo salva solo come pdf normale; qualcuno sa come fare grazie ciao
allego macro
Ciao Teseo,
ti ho modificato la macro per ottenere il file 3D Pdf, vedi sotto il codice.
Ti consiglio di dichiarare sempre le variabili (es. Dim A as string) e di sostiture
Dim Part as Object con Dim Part As SldWorks.ModelDoc2
e
Dim swApp As Object con Dim swApp As SldWorks.SldWorks
così da avere proprietà e metodi a disposizione nel menu a tendina a fianco del mouse quando scrivi il codice.

A presto

'Codice

Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim swModelDocExt As SldWorks.ModelDocExtension
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Dim swExportPDFData As SldWorks.ExportPdfData
Dim lerrors As Long
Dim lwarnings As Long

Sub main()
Set swApp = _
Application.SldWorks
Set Part = swApp.ActiveDoc
Set swModelDocExt = Part.Extension
sPathName = Part.GetPathName
SREV = Part.CustomInfo("Revisione")
ELENCO_REV = "ABCDEFGHILMNOPQRSTUVZ"
K = 0
W = ""
For X = 1 To Len(sPathName)
Y = Mid(sPathName, X, 1)
If Y = "." Then GoTo EX
W = W + Y
If Y = "\" Then
K = K + 1
W = ""
End If
Next X
EX:
Dim A As String
A = "C:\users\ufftecnico\desktop\" + W + ".pdf"
Set swExportPDFData = swApp.GetExportFileData(1)
If swExportPDFData Is Nothing Then MsgBox "Nothing"

swExportPDFData.ViewPdfAfterSaving = False
swExportPDFData.ExportAs3D = True

boolstatus = swModelDocExt.SaveAs(A, 0, 0, swExportPDFData, lerrors, lwarnings)

End Sub
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
#11
Se agganci la macro al programma SaveBackgroud lo potresti ottenere in automatico al salvataggio della parte.